// ============================================================
//  CSaveThread.cpp	1996 Hiroshi Lockheimer
// ============================================================
//	$Log: CSaveThread.cpp,v $
//	Revision 1.1  1999/01/10 09:54:36  jjk
//	Initial revision
//

#include "CSaveThread.h"


CSaveThread::CSaveThread()
{
	mSaveSem = -1;
	mSaveThread = -1;
	mView = NULL;
}


CSaveThread::~CSaveThread()
{
}


void
CSaveThread::StartSaving(
	BView	*view)
{
	mView = view;
	
	StartSaveThread();
}


void
CSaveThread::StopSaving()
{
	StopSaveThread();
}


void
CSaveThread::StartSaveThread(
	long	priority)
{
	mSaveSem = create_sem(1, "mSaveSem");
	mSaveThread = spawn_thread(SaveThreadMain, "mSaveThread", 
							   priority, this);
	resume_thread(mSaveThread);
}


void
CSaveThread::StopSaveThread()
{
	acquire_sem(mSaveSem);
	delete_sem(mSaveSem);
	
	long value = 0;
	wait_for_thread(mSaveThread, &value);
	
	mSaveSem = -1;
	mSaveThread = -1;
}


bigtime_t
CSaveThread::Save()
{
	return 0;
}

	
long
CSaveThread::SaveThreadMain(
	void	*data)
{
	CSaveThread	*object = (CSaveThread *)data;
	sem_id		sem = object->mSaveSem;
	
	while (acquire_sem(sem) == B_NO_ERROR) {
		bigtime_t sleep = object->Save();
		release_sem(sem);
		
		while (sleep > 0) {
			if (acquire_sem(sem) != B_NO_ERROR)
				sleep = 0;
			else {
				bigtime_t interval = 50000;
				interval = (interval > sleep) ? sleep : interval;
				snooze(interval);
				sleep -= interval;
				release_sem(sem);
			}
		}
	}
				
	return (B_NO_ERROR);
}

static char RCSid[] = "$Id: CSaveThread.cpp,v 1.1 1999/01/10 09:54:36 jjk Exp $";
