//		Copyright © 1997	Jens Kilian
//
//		This program is free software; you can redistribute it and/or modify
//		it under the terms of the GNU General Public License as published by
//		the Free Software Foundation; either version 1, or (at your option)
//		any later version.
//
//		This program is distributed in the hope that it will be useful,
//		but WITHOUT ANY WARRANTY; without even the implied warranty of
//		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
//		GNU General Public License for more details.
//
//		You should have received a copy of the GNU General Public License
//		along with this program; if not, write to the Free Software
//		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//		$Log: KnotThread.h,v $
//		Revision 1.1  1999/01/10 09:54:36  jjk
//		Initial revision
//

//		Screen saver thread; controls when knots are drawn.

#ifndef KNOTTHREAD_H
#define KNOTTHREAD_H

#include <Bitmap.h>

#include "CSaveThread.h"

class KnotThread : public CSaveThread {
	typedef CSaveThread inherited;
public:
	KnotThread(void);
	virtual ~KnotThread(void);
					
	virtual void StartSaving(BView *view);
	virtual void StopSaving(void);

protected:
	virtual bigtime_t	Save(void);

private:
	KnotThread(const KnotThread &orig);
	KnotThread &operator =(const KnotThread &orig);
	
	// Data members.
	int mKnotsDrawn;
	int mLogoCounter;
	BBitmap mLogo;
};

#endif
